const getters = {
  sidebar: state => state.app.sidebar,
  device: state => state.app.device,
  l1Path: state => state.app.l1Path,
  allUnreadNum: state => state.app.allUnreadNum,
  show: state => state.app.show,
  visitedViews: state => state.tagsView.visitedViews,
  cachedViews: state => state.tagsView.cachedViews,
  token: state => state.user.token,
  fanruanToken: state => state.user.fanruanToken,
  userid: state => state.user.userid,
  phone: state => state.user.phone,
  name: state => state.user.name,
  isNotice: state => state.user.isNotice,
  menus: state => state.user.menus,
  websitNumber: state => state.user.websitNumber,
  customerId: state => state.user.customerId,
  customerName: state => state.user.customerName,
  customerNumber: state => state.user.customerNumber,
  showMessages: state => state.user.showMessages,
  code: state => state.sales.code,
  isCustomer: state => state.user.customerId && state.user.customerName && state.user.customerNumber,
  isZbService: state => state.user.isZbService,
  isService: state => state.user.isService,
  isWebsite: state => state.user.isWebsite,
  isAdmin: state => state.user.isAdmin,
  isCenter: state => state.user.isCenter,
  isMessageGroup: state => state.user.isMessageGroup,
  isSettlementGroup: state => state.user.isSettlementGroup,
  roleList: state => state.user.roleList,
  websitId: state => state.user.websitId,
  greemall_user: state => state.user.greemall_user
}
export default getters
