
/**
 * 管理下拉框选项
 */

// 会员的当前状态
export const MEMBER_CURRENT_STATUS = [
  { label: '正常', value: true },
  { label: '禁用', value: false }
]

// 会员的当前类型
export const MEMBER_CURRENT_TYPE = [
  { label: '普通用户', value: 'GENERAL' },
  { label: '业务员', value: 'SERVICE' },
  { label: '工程师', value: 'WORKER' },
]

// 结算的当前状态
export const SETTLEMENT_CURRENT_STATUS = [
  { label: '结算中', value: 'ING' },
  { label: '已结算', value: 'OVER' },
  { label: '已取消', value: 'CANCEL' },
  { label: '异常结算', value: 'EXCEPTION' },
]

// 运费模板的当前状态
export const FREIGHT_CURRENT_TYPE = [
  { label: '启用', value: true },
  { label: '禁用', value: false }
]

// 订单的当前状态
export const ORDER_CURRENT_STATUS = [
  { label: '待付款', value: 'NOPAY' },
  { label: '待发货', value: 'DFH' },
  { label: '已发货', value: 'YFH' },
  { label: '已完成', value: 'OVER' },
  { label: '已关闭', value: 'CLOSE' },
  { label: '支付超时', value: 'TIMEOUT' },
  { label: '售后', value: 'REFUND' },
]

// 物流的当前状态
export const EXPRESS_CURRENT_STATE = [
  { label: '在途', value: 0 },
  { label: '揽收', value: 1 },
  { label: '疑难', value: 2 },
  { label: '签收', value: 3 },
  { label: '退签', value: 4 },
  { label: '派件', value: 5 },
  { label: '退回', value: 6 }
]

// 维权订单的当前状态
export const ORDER_REFUND_CURRENT_STATUS = [
  { label: '待商家处理', value: 'DSJCL' },
  { label: '待商家收货', value: 'DSJSH' },
  { label: '待买家处理', value: 'DMJCL' },
  { label: '已完成', value: 'OVER' },
  { label: '已取消', value: 'CANCEL' },
  { label: '已关闭', value: 'CLOSE' },
]

// 维权订单的当前类型
export const REFUND_CURRENT_TYPE = [
  { label: '仅退款', value: 'REFUND_AMOUNT' },
  { label: '退货退款', value: 'REFUND_GOODS' }
]

// 优惠券的当前标志
export const COUPON_CURRENT_FLAG = [
  { label: '待发布', value: 'WAIT' },
  { label: '进行中', value: 'START' },
  { label: '已结束', value: 'END' },
  { label: '已取消', value: 'CANCEL' }
]

// 秒杀活动状态
export const SEC_KILL_CURRENT_STATUS = [
  { label: '未开始', value: 1 },
  { label: '进行中', value: 2 },
  { label: '已结束', value: 3 },
  { label: '已关闭', value: 4 },
]

// 消息类型
export const NOTICE_CURRENT_TYPE = [
  { label: '订单', value: 1 },
  { label: '其他', value: 2 }
]

// 工单大类
export const ORDER_MAIN_TYPE = [
  {id: 101, number: 101, name: '家用空调'},
  {id: 102, number: 102, name: '商用空调'},
  {id: 103, number: 103, name: '家用空气能热水器'},
  {id: 104, number: 104, name: '生活电器'},
  {id: 106, number: 106, name: '晶弘冰箱'},
  {id: 107, number: 107, name: '手机'},
  {id: 108, number: 108, name: '回收平台'},
  {id: 109, number: 109, name: '壁挂炉'},
  {id: 110, number: 110, name: '智能门锁'},
  {id: 111, number: 111, name: '移动电源'},
  {id: 112, number: 112, name: '格健医疗'},
  {id: 113, number: 133, name: '商用净水机'},
  // {id: 114, number: 110, name: '螺杆机'},
  {id: 999, number: 999, name: '清洗服务'},
]

// 线下销售状态
export const OFFLINE_STATUS = [
  { label: '正常', value: 1 },
  { label: '作废', value: 0 }
]

// 线下销售类型
export const OFFLINE_TYPE = [
  { label: '工程', value: 'PROJECT' },
  { label: '二手', value: 'RESALE' },
  { label: '批发', value: 'WHOLESALE' },
  // { label: '线上', value: 'ONLINE' },
  { label: '零售', value: 'RETAIL' },
]

// 优惠码状态
export const DISCODE_STATUS = [
  { label: '未使用', value: 0 },
  { label: '已使用', value: 1 }
]

export const COMMON_SELECT = {
  MEMBER_CURRENT_STATUS,
  MEMBER_CURRENT_TYPE,
  SETTLEMENT_CURRENT_STATUS,
  FREIGHT_CURRENT_TYPE,
  ORDER_CURRENT_STATUS,
  EXPRESS_CURRENT_STATE,
  ORDER_REFUND_CURRENT_STATUS,
  REFUND_CURRENT_TYPE,
  COUPON_CURRENT_FLAG,
  SEC_KILL_CURRENT_STATUS,
  NOTICE_CURRENT_TYPE,
  ORDER_MAIN_TYPE,
  OFFLINE_STATUS,
  OFFLINE_TYPE,
  DISCODE_STATUS
}
