export default {
  computed: {
    formItems() {
      return [
        {
          md: 24,
          isShow: true,
          name: 'slot-component',
          formItemAttributes: {
            label: '',
            prop: '',
            'label-width': '0px'
          },
          render: (h, { props, onInput }) => {
            var { value } = props
            return (
              <div>
                <el-descriptions
                  border
                  title=""
                  column={4}
                  colon={false}
                  labelStyle={{ width: '8%' }}
                  contentStyle={{ width: '17%' }}
                >
                  <el-descriptions-item label="处罚单号">{this.formData.id || ''}</el-descriptions-item>
                  <el-descriptions-item label="状态">
                    {{ SAVE: '保存', WAIT: '待审核', OK: '通过', FAIL: '失败' }[this.formData.status] || ''}
                  </el-descriptions-item>
                  <el-descriptions-item label=""></el-descriptions-item>
                  <el-descriptions-item label="创建人">{this.formData.createBy || ''}</el-descriptions-item>
                  <el-descriptions-item label="创建时间">{this.formData.createTime || ''}</el-descriptions-item>
                  <el-descriptions-item label="审核人">{this.formData.examineBy || ''}</el-descriptions-item>
                  <el-descriptions-item label="审核时间">{this.formData.examineTime || ''}</el-descriptions-item>
                </el-descriptions>
              </div>
            )
          }
        }
      ]
    }
  }
}
