
import { required, mobileRequired, mobile, httpUrl, email } from '@/components/template/rules_verify.js'
export default {
  data() {
    return {

    }
  },
  computed: {
    examineInfo() {
      return [
        {
          name: 'el-radio',
          md: 24,
          formItemAttributes: {
            label: '审批结果',
            prop: 'flagSh',
            rules: [...required],
          },
          options: [{ label: "通过", value: "OK" }, { label: "驳回", value: "FAIL" }],
          attributes: { disabled: false, placeholder: '请选择' },
        },
        {
          name: 'el-input',
          md: 24,
          attributes: {
            disabled: false,
            type: 'textarea',
            rows: 3,
            placeholder: '请输入'
          },
          formItemAttributes: {
            label: '审批备注',
            prop: 'examineRemark',
            rules: []
          }
        }
      ]
    }
  },
  methods: {

  }
}
